/*
 * qtxalloc.h
 * 
 * QTX allocation wrapper. 
 * 
 * Copyright (c) 2002 by Wolfgang Wieser (wwieser@gmx.de) 
 * 
 * This file is part of QtXLib (Fast XLib drawing interface for Qt/X11). 
 * 
 * This file may be distributed and/or modified under the terms of the 
 * GNU General Public License version 2 as published by the Free Software 
 * Foundation. 
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

#ifndef _INT_QTXLIB_QTXALLOC_H_ 
#define _INT_QTXLIB_QTXALLOC_H_ 1

namespace QTX
{

inline void *Malloc(size_t s)
{
	void *ptr=malloc(s);
	assert(ptr);
	return(ptr);
}

inline void Free(void *ptr)
{
	if(ptr)
	{  free(ptr);  }
}

}  // end of namespace QTX

#endif  /* _INT_QTXLIB_QTXALLOC_H_ */
