/*
 * ignpars.h
 * 
 * Tree ignite parameter widget. 
 * 
 * Copyright (c) 2002 by Wolfgang Wieser (wwieser@gmx.de) 
 * 
 * This file may be distributed and/or modified under the terms of the 
 * GNU General Public License version 2 as published by the Free Software 
 * Foundation. 
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

#ifndef _BURN_QTXGUI_IGNITEPARS_H_
#define _BURN_QTXGUI_IGNITEPARS_H_ 1

#include <Qt/qwidget.h>

class BurnArea;

class QSpinBox;
class QLineEdit;
class QCheckBox;

class IgniteParsDialog : public QWidget
{
	Q_OBJECT
	private:
		QCheckBox *auto_ignition;
		QSpinBox *xposi;
		QSpinBox *yposi;
		QSpinBox *sizei;
		int v_change;  // xposi,yposi,asizei changed?
		// Current values if !v_change: 
		int xpos_v,ypos_v,size_v;
		
		void _GetValues();
	signals:
		// This is called when the window is closed and 
		// auto ignition is enabled. 
		void req_auto_ignite_now();
	private slots:
		void v_change_slot();  // when a value is changed (user input)
	public slots:
		void map();
	public:
		//  If parent=NULL, then standard ignite dialog with 
		// enable checkbox. Else, dialog in frame (QGroupBox). 
		IgniteParsDialog(QWidget *parent=NULL,const char *name=NULL,WFlags f=0);
		~IgniteParsDialog();
		
		// Actially do the auto ignition. 
		// Does nothing if this feature is switched off. 
		void DoAutoIgnite(BurnArea *area);
};

#endif /* _BURN_QTXGUI_IGNITEPARS_H_ */
